您的位置:网站首页 > CAD新闻

AutoVBA利用AddArc方法创建Arc对象

时间:2012-01-31 17:58:42 来源:未知

在AutoVBA中可以利用AddArc方法创建Arc对象,该方法需要有四个参数才能绘制圆弧,参数分别是圆心、半径、起始角和终止角,用来确定圆弧的位置和长度。利用Utility对象绘制圆弧的代码如下。

Public Sub drawarc()
    Dim newarcobj As AcadArc
    Dim center As Variant
    Dim radius As Double
    Dim startangle As Double, endangle As Double
    With ThisDrawing.Utility
        center = .GetPoint(, vbCr & "Click on center point.")
        radius = .GetDistance(center, vbCr & "Enter the radius")
        startangle = .GetAngle(center, vbCr & "Enter the start angle")
        endangle = .GetAngle(center, vbCr & "Enter the end angle")
    End With
    Set newarcobj = ThisDrawing.ModelSpace.AddArc(center, radius, startangle, endangle)
    newarcobj.Update
End Sub

代码完。

该段函数用到的方法getpoint、getdistance、getangle和lisp函数中的getpoint、getdistance、getangle三个函数功能相同,只是书写方式不一样。将圆心、半径、起始角和终止角四个函数传递到AddArc方法中,即可绘制圆弧。


相关文章